FFmpegSession Class Reference

## Instance Methods

(instancetype) | - init:
(instancetype) | - init:withExecuteCallback:
(instancetype) | - init:withExecuteCallback:withLogCallback:withStatisticsCallback:
(instancetype) | - init:withExecuteCallback:withLogCallback:withStatisticsCallback:withLogRedirectionStrategy:
(StatisticsCallback) | - getStatisticsCallback
(NSArray *) | - getAllStatisticsWithTimeout:
(NSArray *) | - getAllStatistics
(NSArray *) | - getStatistics
(Statistics *) | - getLastReceivedStatistics
(void) | - addStatistics:
(BOOL) | - isFFmpeg `[implementation]`
(BOOL) | - isFFprobe `[implementation]`
Instance Methods inherited from AbstractSession
(instancetype) | - init:withExecuteCallback:withLogCallback:withLogRedirectionStrategy:
(void) | - waitForAsynchronousMessagesInTransmit:
(ExecuteCallback) | - getExecuteCallback `[implementation]`
(LogCallback) | - getLogCallback `[implementation]`
(long) | - getSessionId `[implementation]`
(NSDate *) | - getCreateTime `[implementation]`
(NSDate *) | - getStartTime `[implementation]`
(NSDate *) | - getEndTime `[implementation]`
(long) | - getDuration `[implementation]`
(NSArray *) | - getArguments `[implementation]`
(NSString *) | - getCommand `[implementation]`
(NSArray *) | - getAllLogsWithTimeout: `[implementation]`
(NSArray *) | - getAllLogs `[implementation]`
(NSArray *) | - getLogs `[implementation]`
(NSString *) | - getAllLogsAsStringWithTimeout: `[implementation]`
(NSString *) | - getAllLogsAsString `[implementation]`
(NSString *) | - getLogsAsString `[implementation]`
(NSString *) | - getOutput `[implementation]`
(SessionState) | - getState `[implementation]`
(ReturnCode *) | - getReturnCode `[implementation]`
(NSString *) | - getFailStackTrace `[implementation]`
(LogRedirectionStrategy) | - getLogRedirectionStrategy `[implementation]`
(BOOL) | - thereAreAsynchronousMessagesInTransmit `[implementation]`
(void) | - addLog: `[implementation]`
(void) | - startRunning `[implementation]`
(void) | - complete: `[implementation]`
(void) | - fail: `[implementation]`
(void) | - cancel `[implementation]`

## Class Methods

(void) | + initialize `[implementation]`

## Detailed Description

An FFmpeg session.

Definition at line 30 of file FFmpegSession.h.

## Method Documentation

## addStatistics:

- (void) addStatistics: |  | (Statistics*) | statistics |

Adds a new statistics entry for this session.

Parameters

  statistics | statistics entry

Definition at line 29 of file FFmpegSession.m.

## getAllStatistics

- (NSArray *) getAllStatistics |  |  |

Returns all statistics entries generated for this session. If there are asynchronous messages that are not delivered yet, this method waits for them until AbstractSessionDefaultTimeoutForAsynchronousMessagesInTransmit expires.

Returns
  list of statistics entries generated for this session

Definition at line 29 of file FFmpegSession.m.

## getAllStatisticsWithTimeout:

- (NSArray *) getAllStatisticsWithTimeout: |  | (int) | waitTimeout |

Returns all statistics entries generated for this session. If there are asynchronous messages that are not delivered yet, this method waits for them until the given timeout.

Parameters

  waitTimeout | wait timeout for asynchronous messages in milliseconds

Returns
  list of statistics entries generated for this session

Definition at line 29 of file FFmpegSession.m.

## getLastReceivedStatistics

- (Statistics *) getLastReceivedStatistics |  |  |

Returns the last received statistics entry.

Returns
  the last received statistics entry or nil if there are not any statistics entries received

Definition at line 29 of file FFmpegSession.m.

## getStatistics

- (NSArray *) getStatistics |  |  |

Returns all statistics entries delivered for this session. Note that if there are asynchronous messages that are not delivered yet, this method will not wait for them and will return immediately.

Returns
  list of statistics entries received for this session

Definition at line 29 of file FFmpegSession.m.

## getStatisticsCallback

- (StatisticsCallback) getStatisticsCallback |  |  |

Returns the session specific statistics callback.

Returns
  session specific statistics callback

Definition at line 29 of file FFmpegSession.m.

## init:

- (instancetype) init: |  | (NSArray*) | arguments |

Builds a new FFmpeg session.

Parameters

  arguments | command arguments

Definition at line 29 of file FFmpegSession.m.

## init:withExecuteCallback:

- (instancetype) init: |  | (NSArray*) | arguments
withExecuteCallback: |  | (ExecuteCallback) | executeCallback

Builds a new FFmpeg session.

Parameters

  arguments | command arguments
  executeCallback | session specific execute callback

Definition at line 29 of file FFmpegSession.m.

## init:withExecuteCallback:withLogCallback:withStatisticsCallback:

- (instancetype) init: |  | (NSArray*) | arguments
withExecuteCallback: |  | (ExecuteCallback) | executeCallback
withLogCallback: |  | (LogCallback) | logCallback
withStatisticsCallback: |  | (StatisticsCallback) | statisticsCallback

Builds a new FFmpeg session.

Parameters

  arguments | command arguments
  executeCallback | session specific execute callback
  logCallback | session specific log callback
  statisticsCallback | session specific statistics callback

Definition at line 29 of file FFmpegSession.m.

## init:withExecuteCallback:withLogCallback:withStatisticsCallback:withLogRedirectionStrategy:

- (instancetype) init: |  | (NSArray*) | arguments
withExecuteCallback: |  | (ExecuteCallback) | executeCallback
withLogCallback: |  | (LogCallback) | logCallback
withStatisticsCallback: |  | (StatisticsCallback) | statisticsCallback
withLogRedirectionStrategy: |  | (LogRedirectionStrategy) | logRedirectionStrategy

Builds a new FFmpeg session.

Parameters

  arguments | command arguments
  executeCallback | session specific execute callback
  logCallback | session specific log callback
  statisticsCallback | session specific statistics callback
  logRedirectionStrategy | session specific log redirection strategy

Definition at line 29 of file FFmpegSession.m.

## initialize

+ (void) initialize |  |  |

implementation

Reimplemented from AbstractSession.

Definition at line 29 of file FFmpegSession.m.

## isFFmpeg

- (BOOL) isFFmpeg |  |  |

implementation

Returns whether it is an `FFmpeg` session or not.

Returns
  true if it is an `FFmpeg` session, false otherwise

Reimplemented from AbstractSession.

Definition at line 29 of file FFmpegSession.m.

## isFFprobe

- (BOOL) isFFprobe |  |  |

implementation

Returns whether it is an `FFprobe` session or not.

Returns
  true if it is an `FFprobe` session, false otherwise

Reimplemented from AbstractSession.

Definition at line 29 of file FFmpegSession.m.

The documentation for this class was generated from the following files:

- FFmpegSession.h
- FFmpegSession.m